Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class PortalRemoveJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.admin.jspbeans.PortalRemoveJspBean

public class PortalRemoveJspBean
extends JspBeanBase

The is the JSP Bean class for the <jsp:usebean> JSP tag for the portal_remove.jsp page.

See Also:
  Serialized Form

Field Summary
`protected Portal` | `portal` An HTTP request mapping attribute.

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`PortalRemoveJspBean()` Creates a new instance of this bean.

Method Summary
`Portal` | `getPortal()` Gets the portal attribute.
`void` | `setPortal(Portal portal)` Sets the portal attribute.
`java.lang.String` | `validate()` Validates the attributes of this bean.

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portal

    protected Portal portal

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

Constructor Detail

### PortalRemoveJspBean

    public PortalRemoveJspBean()

  Creates a new instance of this bean.

Method Detail

### getPortal

    public Portal getPortal()

  Gets the portal attribute.
  Returns:
    the Portal attribute.

### setPortal

    public void setPortal(Portal portal)

  Sets the portal attribute.
  Parameters:
    `portal` - A Portal object.

### validate

    public java.lang.String validate()

  Validates the attributes of this bean.
  Returns:
    An error string if an error, else it returns null if sucessful.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved